Forge: Vector Field

Forge

Functions
Vector Field
C API functions

## Functions
FGAPI fg_err | fg_create_vector_field (fg_vector_field *pField, const unsigned pNPoints, const fg_dtype pType, const fg_chart_type pChartType)
| Create a Vector field object. More...
FGAPI fg_err | fg_destroy_vector_field (fg_vector_field pField)
| Destroy vector field object. More...
FGAPI fg_err | fg_set_vector_field_color (fg_vector_field pField, const float pRed, const float pGreen, const float pBlue, const float pAlpha)
| Set the color of vector field. More...
FGAPI fg_err | fg_set_vector_field_legend (fg_vector_field pField, const char *pLegend)
| Set vector field legend. More...
FGAPI fg_err | fg_get_vector_field_vertex_buffer (unsigned *pOut, const fg_vector_field pField)
| Get the resource identifier for vertices buffer. More...
FGAPI fg_err | fg_get_vector_field_color_buffer (unsigned *pOut, const fg_vector_field pField)
| Get the resource identifier for colors buffer. More...
FGAPI fg_err | fg_get_vector_field_alpha_buffer (unsigned *pOut, const fg_vector_field pField)
| Get the resource identifier for alpha values buffer. More...
FGAPI fg_err | fg_get_vector_field_direction_buffer (unsigned *pOut, const fg_vector_field pField)
| Get the resource identifier for directions buffer. More...
FGAPI fg_err | fg_get_vector_field_vertex_buffer_size (unsigned *pOut, const fg_vector_field pField)
| Get the vertices buffer size in bytes. More...
FGAPI fg_err | fg_get_vector_field_color_buffer_size (unsigned *pOut, const fg_vector_field pField)
| Get the colors buffer size in bytes. More...
FGAPI fg_err | fg_get_vector_field_alpha_buffer_size (unsigned *pOut, const fg_vector_field pField)
| Get the alpha values buffer size in bytes. More...
FGAPI fg_err | fg_get_vector_field_direction_buffer_size (unsigned *pOut, const fg_vector_field pField)
| Get the directions buffer size in bytes. More...

## Detailed Description

## Function Documentation

## § fg_create_vector_field()

FGAPI fg_err fg_create_vector_field | ( | fg_vector_field * | pField,
|  | const unsigned | pNPoints,
|  | const fg_dtype | pType,
|  | const fg_chart_type | pChartType
| ) |  |

Create a Vector field object.

Parameters

  [out] | pField | will be set to surface handle upon creating the surface object
  [in] | pNPoints | is number of data points
  [in] | pType | takes one of the values of fg_dtype that indicates the integral data type of surface data
  [in] | pChartType | dictates the dimensionality of the chart

Returns
  fg_err error code

## § fg_destroy_vector_field()

FGAPI fg_err fg_destroy_vector_field | ( | fg_vector_field | pField | ) |

Destroy vector field object.

Parameters

  [in] | pField | is the surface handle

Returns
  fg_err error code

## § fg_get_vector_field_alpha_buffer()

FGAPI fg_err fg_get_vector_field_alpha_buffer | ( | unsigned * | pOut,
|  | const fg_vector_field | pField
| ) |  |

Get the resource identifier for alpha values buffer.

Parameters

  [out] | pOut | will have the buffer identifier after this function is called
  [in] | pField | is the vector field handle

Returns
  fg_err error code

## § fg_get_vector_field_alpha_buffer_size()

FGAPI fg_err fg_get_vector_field_alpha_buffer_size | ( | unsigned * | pOut,
|  | const fg_vector_field | pField
| ) |  |

Get the alpha values buffer size in bytes.

Parameters

  [out] | pOut | will have the buffer size in bytes after this function is called
  [in] | pField | is the vector field handle

Returns
  fg_err error code

## § fg_get_vector_field_color_buffer()

FGAPI fg_err fg_get_vector_field_color_buffer | ( | unsigned * | pOut,
|  | const fg_vector_field | pField
| ) |  |

Get the resource identifier for colors buffer.

Parameters

  [out] | pOut | will have the buffer identifier after this function is called
  [in] | pField | is the vector field handle

Returns
  fg_err error code

## § fg_get_vector_field_color_buffer_size()

FGAPI fg_err fg_get_vector_field_color_buffer_size | ( | unsigned * | pOut,
|  | const fg_vector_field | pField
| ) |  |

Get the colors buffer size in bytes.

Parameters

  [out] | pOut | will have the buffer size in bytes after this function is called
  [in] | pField | is the vector field handle

Returns
  fg_err error code

## § fg_get_vector_field_direction_buffer()

FGAPI fg_err fg_get_vector_field_direction_buffer | ( | unsigned * | pOut,
|  | const fg_vector_field | pField
| ) |  |

Get the resource identifier for directions buffer.

Parameters

  [out] | pOut | will have the buffer identifier after this function is called
  [in] | pField | is the vector field handle

Returns
  fg_err error code

## § fg_get_vector_field_direction_buffer_size()

FGAPI fg_err fg_get_vector_field_direction_buffer_size | ( | unsigned * | pOut,
|  | const fg_vector_field | pField
| ) |  |

Get the directions buffer size in bytes.

Parameters

  [out] | pOut | will have the buffer size in bytes after this function is called
  [in] | pField | is the vector field handle

Returns
  fg_err error code

## § fg_get_vector_field_vertex_buffer()

FGAPI fg_err fg_get_vector_field_vertex_buffer | ( | unsigned * | pOut,
|  | const fg_vector_field | pField
| ) |  |

Get the resource identifier for vertices buffer.

Parameters

  [out] | pOut | will have the buffer identifier after this function is called
  [in] | pField | is the vector field handle

Returns
  fg_err error code

## § fg_get_vector_field_vertex_buffer_size()

FGAPI fg_err fg_get_vector_field_vertex_buffer_size | ( | unsigned * | pOut,
|  | const fg_vector_field | pField
| ) |  |

Get the vertices buffer size in bytes.

Parameters

  [out] | pOut | will have the buffer size in bytes after this function is called
  [in] | pField | is the vector field handle

Returns
  fg_err error code

## § fg_set_vector_field_color()

FGAPI fg_err fg_set_vector_field_color | ( | fg_vector_field | pField,
|  | const float | pRed,
|  | const float | pGreen,
|  | const float | pBlue,
|  | const float | pAlpha
| ) |  |

Set the color of vector field.

Parameters

  [in] | pField | is the surface handle
  [in] | pRed | is Red component in range [0, 1]
  [in] | pGreen | is Green component in range [0, 1]
  [in] | pBlue | is Blue component in range [0, 1]
  [in] | pAlpha | is Blue component in range [0, 1]

Returns
  fg_err error code

## § fg_set_vector_field_legend()

FGAPI fg_err fg_set_vector_field_legend | ( | fg_vector_field | pField,
|  | const char * | pLegend
| ) |  |

Set vector field legend.

Parameters

  [in] | pField | is the vector field handle
  [in] | pLegend |

Returns
  fg_err error code